Bug 779715 - (SOA-2077) Unable to configure jms-message-filter as durable subscriber to a Topic
Unable to configure jms-message-filter as durable subscriber to a Topic
Status: CLOSED NEXTRELEASE
Product: JBoss Enterprise SOA Platform 5
Classification: JBoss
Component: JBossESB (Show other bugs)
5.0.0 GA
Unspecified Unspecified
high Severity high
: ---
: 5.1.0.ER2
Assigned To: Kevin Conner
http://jira.jboss.org/jira/browse/SOA...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-11 04:22 EDT by Toshiya Kobayashi
Modified: 2011-03-01 20:24 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-03-01 20:24:32 EST
Type: Feature Request
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker SOA-2077 None None None Never

  None (edit)
Description Toshiya Kobayashi 2010-05-11 04:22:13 EDT
Affects: Release Notes
Date of First Response: 2010-05-11 04:43:27
Help Desk Ticket Reference: https://enterprise.redhat.com/issue-tracker/849363
project_key: SOA

Platform JIRA for [JBESB-1890] Unable to configure jms-message-filter as durable subscriber to a Topic
Comment 1 Toshiya Kobayashi 2010-05-11 04:25:29 EDT
Link: Added: This issue incorporates JBESB-1890
Comment 2 Kevin Conner 2010-05-11 04:43:27 EDT
Comment added on JBESB-1890 (without spelling mistake)

"The current codebase includes support for JMS delivery through JCA inflow. As part of this integration it is possible to specify the durability and subscription name within the activation spec. "
Comment 3 Anne-Louise Tangring 2010-09-21 16:50:36 EDT
Please clone this so there is one for 4.3 and one for 5.x. If you keep this for 5.x, please put Fixed Version as 5.1.0GA
Comment 4 Kevin Conner 2010-10-01 15:23:11 EDT
This needed to be cloned for each version, we cannot have a single issue representing multiple versions.

The 5.1 issue was already fixed for ESB 4.9.
Comment 5 Kevin Conner 2010-10-01 15:26:16 EDT
Link: Added: This issue related SOA-2370
Comment 6 David Le Sage 2011-03-01 20:12:22 EST
Temporarily reopening to update release note info.
Comment 7 David Le Sage 2011-03-01 20:24:22 EST
Release Notes Docs Status: Added: Documented as Resolved Issue
Release Notes Text: Added: https://issues.jboss.org/browse/SOA-2077

The user could not make a jms-message-filter with a destination type of "TOPIC" a durable subscriber to a topic. This is actually configured via the jms-listener which has been changed to allow for this configuration option.  As a result, users can now make these durable topic subscribers.

Note You need to log in before you can comment on or make changes to this bug.